【活用ガイド】

JVNDB-2012-001017

OpenSSL の DTLS の実装における平文を復元される脆弱性

概要

OpenSSL の DTLS の実装は、特定のパディングが有効である場合のみ MAC のチェックを実行するため、平文を復元される脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 4.3 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし

影響を受けるシステム


OpenSSL Project
  • OpenSSL 0.9.8s 未満
  • OpenSSL 1.0.0f 未満の 1.x
VMware
  • VMware ESX 3.5
  • VMware ESX 4.0
  • VMware ESX 4.1
  • VMware ESXi 3.5
  • VMware ESXi 4.0
  • VMware ESXi 4.1
  • VMware ESXi 5.0
アップル
  • Apple Mac OS X 10.6.8
  • Apple Mac OS X v10.7 から v10.7.5
  • Apple Mac OS X v10.8 から v10.8.3
  • Apple Mac OS X Server 10.6.8
  • Apple Mac OS X Server v10.7 から v10.7.5

想定される影響

第三者により、パディングオラクル攻撃を介して、平文を復元される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

OpenSSL Project VMware アップル オラクル
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 暗号の問題(CWE-310) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2011-4108
参考情報

  1. JVN : JVNVU#91284469
  2. JVN : JVNVU#92046435
  3. National Vulnerability Database (NVD) : CVE-2011-4108
更新履歴

[2012年01月10日]
  掲載
[2012年04月16日]
  ベンダ情報:オラクル (Multiple vulnerabilities in OpenSSL) を追加
[2012年11月02日]
  影響を受けるシステム:VMware (VMSA-2012-0013) の情報を追加
  ベンダ情報:VMware (VMSA-2012-0013) を追加
[2013年06月07日]
  影響を受けるシステム:アップル (HT5784) の情報を追加
  ベンダ情報:アップル (HT5784) を追加
  ベンダ情報:アップル (APPLE-SA-2013-06-04-1) を追加